> For the complete documentation index, see [llms.txt](https://docs.verified.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verified.network/reference/verified-sdk/security-tokens.md).

# Security tokens

Investment product contracts consume and generate cash flows that are owed to or by holders of securities. For example, a shareholder holds a share token that owes the shareholder dividends generated by the share. Similarly, a bond holder holds a bond token that is owed interest by the issuer of the bond.&#x20;

A security token is therefore nothing but a contract that has the rights and obligations of an underlying registered security which is defined by an investment product's smart contract. The holder of a security token for an investment product therefore has the rights to and obligations for any cash transfers required or generated by the investment product.

Request to issue a security token can be made by calling the `issueSecurity` function on the Securities Factory contract. `getHolder` returns the issuer of a security token. `getSecurity` returns the investment product address for a security token. `getSecurityToken` returns ISIN, company, currency and a boolean whether a security token is accessible to retail or qualified investors. &#x20;

The requests to issue security tokens are assessed by Registrar and Transfer agents on the Verified Network which decides on its approval. Only approved security tokens are operational on the Verified Network. Only a Registrar and Transfer agent or the issuer of a security token can whitelist its holders. Only whitelisted security token holders can call the `approve`, `transfer`, `transferFrom` functions in a security token.&#x20;

The Registrar and Transfer agent is responsible for administering corporate actions on the security token.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verified.network/reference/verified-sdk/security-tokens.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
